From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 20 May 2008<P>

Pammy~<BR>
<BR>
JM Barrie was a fascinating man, wasn't he?  Have you seen the Johnny Depp version of his life? I'm drawing a blank on the name of the movie right now.  It's really good.<BR>
<BR>
CJ~<BR>
<BR>
Thank you so much for the compliment on that piece!  I am glad that you liked it!  And I love Eternal Sunshine of the Spotless Mind.  That was a really good movie.  :)
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 20 May 2008<P>

Sorry I haven't been quite keeping up here...<BR>
<BR>
Yeah, "Eternal Sunshine of the Spotless Mind" is one of my favorite films of all time. <BR>
<BR>
Another film with a kind of similar vibe is "Vanilla Sky" (or if you prefer to be a bit more authentic and/or don't dig Tom Cruise check out the Spanish original "Abre los ojos")<BR>
<BR>
8 years ago I wrote down this bit of advice from Mr. Blue's (Garrison Keillor) old column, some advice on dealing with this kind of loss and heartache: <a href="/blend/wv.cgi?id=2008.05.20.10.09.20876">the past doesn't go away</a>
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 20 May 2008<P>

Kirk, <BR>
<BR>
"You're not imprinted with him"...<BR>
<BR>
I love that.  And the sweet sadness, dusk has always been my time for that.  I've either avoided being outside for dusk or went to great lengths to be outside at dusk, depending on where I was in my life.  With a broken, shattered heart, inside!!!!  A couple years later, outside!!!  <BR>
<BR>
But either way, I still love dusk.  <BR>
<BR>
CJ
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 20 May 2008<P>

Kirk/CJ....<BR>
<BR>
With a broken, shattered heart, inside!!!! A couple years later, outside!!!<BR>
<BR>
&lt;ddeeeepp siiigggghhhhhh&gt;<BR>
CS%*
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 20 May 2008<P>

Ali,<BR>
I need to watch that movie...there are a couple of Johnny Depp's movies i have missed....if and when you remember the name of that movie, please contact me...seems our JM Barrie was misunderstood? would like to continue our conversation with anyone who knows ANYTHING about JM Barrie...<BR>
CS%*
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 20 May 2008<P>

Ali,<BR>
I did a google research and it's "Finding Neverland"... kinda seems twisted now that I'm thinking about it-- Michael Jackson calls his place "Neverland" too, RIGHT? They are both people that are either psycho or misunderstood...<BR>
CS%*
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 20 May 2008<P>

CS58, Misunderstood.  Oh, I could write a book about that, methinks.  Can you say black sheep???  <BR>
<BR>
And equating "psycho" and "misunderstood" is quite appropriate. <BR>
<BR>
Just ask my family.  <BR>
<BR>
Word.<BR>
<BR>
hehehehe 
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 20 May 2008<P>

That was a misunderstood laugh, not a psycho one, by the way.  <BR>
<BR>
Yup.  
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 20 May 2008<P>

hairdiva...<BR>
you have a great sense of humor!<BR>
CS%*
<HR>